/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ForgeRipple } from '../../ripple';
import { BaseAdapter, IBaseAdapter } from '../../core/base/base-adapter';
import { IButtonToggleComponent } from './button-toggle';
export interface IButtonToggleAdapter extends IBaseAdapter {
    setSelected(value: boolean): void;
    addEventListener(type: string, listener: (evt: Event) => void): void;
    removeEventListener(type: string, listener: (evt: Event) => void): void;
    initializeRipple(): ForgeRipple;
    setDisabled(value: boolean): void;
    setDense(value: boolean): void;
    requestFocus(): void;
    detectStretchState(): void;
}
export declare class ButtonToggleAdapter extends BaseAdapter<IButtonToggleComponent> implements IButtonToggleAdapter {
    private _buttonElement;
    constructor(component: IButtonToggleComponent);
    setSelected(value: boolean): void;
    addEventListener(type: string, listener: (evt: Event) => void): void;
    removeEventListener(type: string, listener: (evt: Event) => void): void;
    initializeRipple(): ForgeRipple;
    setDisabled(value: boolean): void;
    setDense(value: boolean): void;
    requestFocus(): void;
    detectStretchState(): void;
}
